from django.db import models
from .artist import Artist

class Album(models.Model):
    def __str__(self):
        return self.name
    id = models.CharField(primary_key=True, max_length=128)
    name = models.CharField(max_length=255)
    artists = models.ManyToManyField(Artist)
    album_type = models.CharField(max_length=255)
    total_tracks = models.PositiveSmallIntegerField(null=True)
    image = models.ImageField(upload_to="albums/")
    image_url = models.URLField(null=True)